Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 321)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 321)
@@ -0,0 +1,50 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+
+	<resources>
+		<computingResource class="DataCenter" count="1" id="dataCenter">
+			<computingResource class="Rack" count="4" id="rack">
+				<computingResource class="ComputingNode" count="64">
+					<computingResource class="Processor" count="2">
+						<parameter name="Speed">
+							<value>2</value>
+						</parameter>
+					</computingResource>
+					<resourceUnit class="Memory">
+						<amount>12288</amount>
+					</resourceUnit>
+					<resourceUnit class="Storage">
+						<amount>4194304</amount>
+					</resourceUnit>
+				</computingResource>
+			</computingResource>
+		</computingResource>
+
+		<scheduler class="Cluster" id="cluster">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>	
+			<managedComputingResource include="false">
+				<resourceId>dataCenter</resourceId>
+			</managedComputingResource>
+		</scheduler>
+		
+		<!-- 
+		<scheduler class="Cluster" id="cluster">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>		
+			<managedComputingResource include="true">
+				<resourceId>rack1</resourceId>
+				<resourceId>rack2</resourceId>
+				<resourceId>rack3</resourceId>
+				<resourceId>rack4</resourceId>
+			</managedComputingResource>
+		</scheduler>
+		 -->
+
+	</resources>
+	
+	
+	
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 321)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 321)
@@ -0,0 +1,111 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+	
+	<resources>
+		<computingResource class="DataCenter" count="1" id="dataCenter">
+			<computingResource class="Rack" count="4" id="rack">
+				<computingResource class="ComputingNode" count="64">
+					<computingResource class="Processor" count="2">
+						<energyEstimationPlugin>
+							<name>CPUEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+						<profile>
+							<powerProfile>
+								<parameter name="pState">
+									<property name="name">
+										<value>P0</value>
+									</property>	
+									<property name="frequency">
+										<value>3000</value>
+									</property>		
+									<property name="voltage">
+										<value>1.3</value>
+									</property>
+									<property name="power">
+										<value>14</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P1</value>
+									</property>	
+									<property name="frequency">
+										<value>2660</value>
+									</property>		
+									<property name="voltage">
+										<value>1.2</value>
+									</property>
+									<property name="power">
+										<value>12</value>
+									</property>						
+								</parameter>	
+							</powerProfile>
+						</profile>
+					</computingResource>
+					<energyEstimationPlugin>
+						<name>ComputingNodeEnergyEstimationPlugin</name>
+					</energyEstimationPlugin>
+					<profile>
+						<powerProfile>
+							<powerStates>
+								<powerState>
+									<name>ON</name>
+									<powerUsage>20</powerUsage>
+									<transition>
+										<to>OFF</to>
+										<powerUsage>30</powerUsage>
+										<time>30</time>
+									</transition>
+								</powerState>
+								<powerState>
+									<name>OFF</name>
+									<powerUsage>0</powerUsage>
+									<transition>
+										<to>ON</to>
+										<powerUsage>40</powerUsage>
+										<time>60</time>
+									</transition>
+								</powerState>
+							</powerStates>
+						</powerProfile>
+						<airThroughputProfile>
+							<airThroughputState>
+								<name>mode1</name>
+								<value>105</value>
+								<powerUsage>10.3</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>mode2</name>
+								<value>110</value>
+								<powerUsage>10.9</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>mode3</name>
+								<value>115</value>
+								<powerUsage>11.4</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>mode4</name>
+								<value>120</value>
+								<powerUsage>12.1</powerUsage>
+							</airThroughputState>
+						</airThroughputProfile>
+					</profile>
+				</computingResource>
+			</computingResource>
+		</computingResource>
+		
+		<scheduler class="Cluster" id="cluster">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>		
+			<managedComputingResource include="true">
+				<resourceId>rack1</resourceId>
+				<resourceId>rack2</resourceId>
+				<resourceId>rack3</resourceId>
+				<resourceId>rack4</resourceId>
+			</managedComputingResource>
+		</scheduler>
+
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 321)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 321)
@@ -0,0 +1,68 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+	
+	<!-- CoolEmAll testbed description -->
+	<resources>
+		<computingResource class="Rack" count="1" id="rack">
+			<computingResource class="RackUnitServer" count="1" id="recs1">
+				<computingResource class="ComputingNode" count="18">
+					<computingResource class="Processor" count="1" type="i7">
+						<computingResource class="Core" count="4"/>
+					</computingResource>
+					<resourceUnit class="Memory">
+						<amount>16384</amount>
+					</resourceUnit>
+				</computingResource>
+			</computingResource>
+			<computingResource class="RackUnitServer" count="1" id="recs2">
+				<computingResource class="ComputingNode" count="18">
+					<computingResource class="Processor" count="1" type="Atom">
+						<computingResource class="Core" count="2"/>
+					</computingResource>
+					<resourceUnit class="Memory">
+						<amount>4096</amount>
+					</resourceUnit>
+				</computingResource>
+			</computingResource>
+			<computingResource class="RackUnitServer" count="1" id="recs3">
+				<computingResource class="ComputingNode" count="18">
+					<computingResource class="Processor" count="1" type="AMD Fusion">
+						<computingResource class="Core" count="2"/>
+					</computingResource>
+					<resourceUnit class="Memory">
+						<amount>2048</amount>
+					</resourceUnit>
+				</computingResource>
+			</computingResource>
+			<computingResource class="RackUnitServer" count="1" id="recs4">
+				<computingResource class="ComputingNode" count="18">
+					<computingResource class="Processor" count="1" type="ARM">
+						<computingResource class="Core" count="1"/>
+					</computingResource>
+					<resourceUnit class="Memory">
+						<amount>2048</amount>
+					</resourceUnit>
+				</computingResource>
+			</computingResource>
+			<resourceUnit class="Storage">
+				<amount>4915200</amount>
+				<parameter name=""></parameter>
+			</resourceUnit>
+			<parameter name="PSU">
+				<property name="power">
+					<value>180</value>
+				</property>
+			</parameter>
+		</computingResource>
+
+		<scheduler class="Cluster" id="cluster">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>		
+			<managedComputingResource include="false">
+				<resourceId>rack</resourceId>
+			</managedComputingResource>
+		</scheduler>
+
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml	(revision 321)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml	(revision 321)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+	
+	<resources>
+		<computingResource class="DataCenter" id="dataCenter">
+			<computingResource class="Rack" id="rack1">
+				<computingResource class="ComputingNode" id="node11">
+					<location>
+						<vertical>0</vertical>
+						<horizontal>0</horizontal>
+						<depth>0</depth>
+					</location>
+				</computingResource>
+				<computingResource class="ComputingNode" id="node12">
+					<location>
+						<vertical>1</vertical>
+						<horizontal>0</horizontal>
+						<depth>0</depth>
+					</location>
+				</computingResource>
+				<location>
+					<vertical>0</vertical>
+					<horizontal>4</horizontal>
+					<depth>2</depth>
+				</location>
+			</computingResource>	
+			<computingResource class="Rack" id="rack2">
+				<computingResource class="ComputingNode" id="node21">
+					<location>
+						<vertical>0</vertical>
+						<horizontal>0</horizontal>
+						<depth>0</depth>
+					</location>
+				</computingResource>
+				<computingResource class="ComputingNode" id="node22">
+					<location>
+						<vertical>0</vertical>
+						<horizontal>1</horizontal>
+						<depth>0</depth>
+					</location>
+				</computingResource>
+				<location>
+					<vertical>0</vertical>
+					<horizontal>6</horizontal>
+					<depth>2</depth>
+				</location>
+			</computingResource>
+		</computingResource>	
+		<scheduler class="Cluster" id="cluster">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>		
+			<managedComputingResource include="false">
+				<resourceId>dataCenter</resourceId>
+			</managedComputingResource>
+		</scheduler>
+	</resources>
+</environment>