Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 322)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 322)
@@ -0,0 +1,216 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+	
+	<timeEstimationPlugin>
+		<name>ExecTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	
+	<!-- Opis dla data center z uwzglednieniem szablonow i przejsc miedzy stanami energetycznymi -->
+	<resources>
+		<computingResource class="DataCenter" id="compRes1">
+			<computingResource class="Rack" id="rack1">
+				<computingResource class="ComputingNode" id="node11">
+				</computingResource>
+				<computingResource class="ComputingNode" id="node12">
+				</computingResource>
+			</computingResource>	
+			<computingResource class="Rack" id="rack2">
+				<computingResource class="ComputingNode" id="node21">
+					<templateId>modelNodeA</templateId>
+				</computingResource>
+				<computingResource class="ComputingNode" id="node22">
+					<computingResource class="Processor" count="8">
+						<templateId>modelProcessorB</templateId>
+					</computingResource>
+				</computingResource>
+			</computingResource>
+		</computingResource>	
+		<scheduler class="Cluster" id="cluster1">
+			<schedulingPlugin>
+				<name>FCFSLocalSchedulingPlugin</name>
+			</schedulingPlugin>		
+			<managedComputingResource include="false">
+				<resourceId>compRes1</resourceId>
+			</managedComputingResource>
+		</scheduler>
+	</resources>
+	
+	<templates>
+		<computingResourceTemplate class="ComputingNode" id="modelNodeA">
+			<computingResource class="Processor" count="4">
+				<templateId>modelProcessorA</templateId>
+			</computingResource>
+		</computingResourceTemplate>	
+		<computingResourceTemplate class="Processor" id="modelProcessorA">
+			<energyEstimationPlugin>
+				<name>CPUEnergyEstimationPlugin</name>
+			</energyEstimationPlugin>
+			<profile>
+				<powerProfile>
+					<powerStates>
+						<powerState>
+							<name>ON</name>
+							<powerUsage>20</powerUsage>
+							<transition>
+								<to>OFF</to>
+								<powerUsage>30</powerUsage>
+								<time>30</time>
+							</transition>
+						</powerState>
+						<powerState>
+							<name>OFF</name>
+							<powerUsage>0</powerUsage>
+							<transition>
+								<to>ON</to>
+								<powerUsage>40</powerUsage>
+								<time>60</time>
+							</transition>
+						</powerState>
+					</powerStates>
+					<parameter name="pState">
+						<property name="name">
+							<value>P0</value>
+						</property>	
+						<property name="frequency">
+							<value>3000</value>
+						</property>		
+						<property name="voltage">
+							<value>1.3</value>
+						</property>
+						<property name="power">
+							<value>14</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P1</value>
+						</property>	
+						<property name="frequency">
+							<value>2660</value>
+						</property>		
+						<property name="voltage">
+							<value>1.2</value>
+						</property>
+						<property name="power">
+							<value>12</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P2</value>
+						</property>	
+						<property name="frequency">
+							<value>2330</value>
+						</property>		
+						<property name="voltage">
+							<value>1.1</value>
+						</property>
+						<property name="power">
+							<value>10</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P3</value>
+						</property>	
+						<property name="frequency">
+							<value>2000</value>
+						</property>		
+						<property name="voltage">
+							<value>1.0</value>
+						</property>
+						<property name="power">
+							<value>8</value>
+						</property>						
+					</parameter>							
+				</powerProfile>
+			</profile>
+		</computingResourceTemplate>
+		<computingResourceTemplate class="Processor" id="modelProcessorB">
+			<energyEstimationPlugin>
+				<name>CPUEnergyEstimationPlugin</name>
+			</energyEstimationPlugin>
+			<profile>
+				<powerProfile>
+					<powerStates>
+						<powerState>
+							<name>ON</name>
+							<powerUsage>20</powerUsage>
+							<transition>
+								<to>OFF</to>
+								<powerUsage>30</powerUsage>
+								<time>30</time>
+							</transition>
+						</powerState>
+						<powerState>
+							<name>OFF</name>
+							<powerUsage>0</powerUsage>
+							<transition>
+								<to>ON</to>
+								<powerUsage>40</powerUsage>
+								<time>60</time>
+							</transition>
+						</powerState>
+					</powerStates>
+					<parameter name="pState">
+						<property name="name">
+							<value>P0</value>
+						</property>	
+						<property name="frequency">
+							<value>2200</value>
+						</property>		
+						<property name="voltage">
+							<value>1.3</value>
+						</property>
+						<property name="power">
+							<value>20</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P1</value>
+						</property>	
+						<property name="frequency">
+							<value>2000</value>
+						</property>		
+						<property name="voltage">
+							<value>1.2</value>
+						</property>
+						<property name="power">
+							<value>17</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P2</value>
+						</property>	
+						<property name="frequency">
+							<value>1800</value>
+						</property>		
+						<property name="voltage">
+							<value>1.1</value>
+						</property>
+						<property name="power">
+							<value>16</value>
+						</property>						
+					</parameter>
+					<parameter name="pState">
+						<property name="name">
+							<value>P3</value>
+						</property>	
+						<property name="frequency">
+							<value>1000</value>
+						</property>		
+						<property name="voltage">
+							<value>1.0</value>
+						</property>
+						<property name="power">
+							<value>10</value>
+						</property>						
+					</parameter>
+				</powerProfile>
+			</profile>
+		</computingResourceTemplate>
+	</templates>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 321)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 322)
@@ -23,5 +23,5 @@
 									</property>
 									<property name="power">
-										<value>14</value>
+										<value>35</value>
 									</property>						
 								</parameter>
@@ -31,11 +31,11 @@
 									</property>	
 									<property name="frequency">
-										<value>2660</value>
+										<value>2666</value>
 									</property>		
 									<property name="voltage">
-										<value>1.2</value>
+										<value>1.1</value>
 									</property>
 									<property name="power">
-										<value>12</value>
+										<value>30</value>
 									</property>						
 								</parameter>	