Index: xssim/trunk/src/test/rewolucja/schemas/example/example1.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example1.xml	(revision 316)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example1.xml	(revision 324)
@@ -4,31 +4,31 @@
 	<!-- Analogiczny opis zasobow jak do tej pory, dla srodowiska gridowego -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
+		<computingResource class="DataCenter" name="compRes1">
 			<computingResource class="Processor" count="64"/>
 		</computingResource>	
-		<computingResource class="DataCenter" id="compRes2">
+		<computingResource class="DataCenter" name="compRes2">
 			<computingResource class="Processor" count="64"/>
 		</computingResource>
 		<!-- Plugin dla Brokera
 		Definicja pluginu zostala przeniesiona z pliku z propertiesami ma byc tu czy w propertiesach, sciezki bezwzledne czy wzgledne z domyslnej lokalizacji (moga byc obie mozliwosci ale to juz na poziomie tworzenia zasobow)-->
-		<scheduler class="GridBroker" id="gridBroker">
+		<scheduler class="GridBroker" name="gridBroker">
 			<schedulingPlugin>
 				<name>GridFCFSLoadBalancingPlugin</name>
 			</schedulingPlugin>
-			<scheduler class="Cluster" id="cluster1">
+			<scheduler class="Cluster" name="cluster1">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>	
-				<managedComputingResource include="false">
-					<resourceId>compRes1</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="false">
+					<resourceName>compRes1</resourceName>
+				</managedComputingResources>
 			</scheduler>
-			<scheduler class="Cluster" id="cluster2">
+			<scheduler class="Cluster" name="cluster2">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>	
-				<managedComputingResource include="false">
-					<resourceId>compRes2</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="false">
+					<resourceName>compRes2</resourceName>
+				</managedComputingResources>
 			</scheduler>
 		</scheduler>	
Index: xssim/trunk/src/test/rewolucja/schemas/example/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example2.xml	(revision 316)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example2.xml	(revision 324)
@@ -4,8 +4,8 @@
 	<!-- Opis zasobow dla srodowiska gridowego -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
+		<computingResource class="DataCenter" name="compRes1">
 			<computingResource class="Processor" count="64"/>
 		</computingResource>	
-		<computingResource class="DataCenter" id="compRes2">
+		<computingResource class="DataCenter" name="compRes2">
 			<computingResource class="Processor" count="64"/>
 		</computingResource>
@@ -13,25 +13,25 @@
 		Kazdy z klastrow skojarzony jest z odpowiednimi zasobami (odpowiednio compRes1 i compRes2) tzn. sklada sie(zarzadza) wszystkimi zasobami znajdujacymi sie pod nimi
 		Patrz tez example3.xml -->
-		<scheduler class="GridBroker" id="gridBroker">
+		<scheduler class="GridBroker" name="gridBroker">
 			<schedulingPlugin>
 				<name>GridFCFSLoadBalancingPlugin</name>
 			</schedulingPlugin>
-			<scheduler class="Cluster" id="cluster1">
+			<scheduler class="Cluster" name="cluster1">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 					<frequency>600</frequency>
 				</schedulingPlugin>		
-				<managedComputingResource include="false">
-					<resourceId>compRes1</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="false">
+					<resourceName>compRes1</resourceName>
+				</managedComputingResources>
 			</scheduler>
-			<scheduler class="Cluster" id="cluster2">
+			<scheduler class="Cluster" name="cluster2">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 					<frequency>600</frequency>
 				</schedulingPlugin>	
-				<managedComputingResource include="false">
-					<resourceId>compRes2</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="false">
+					<resourceName>compRes2</resourceName>
+				</managedComputingResources>
 			</scheduler>
 		</scheduler>	
Index: xssim/trunk/src/test/rewolucja/schemas/example/example3.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example3.xml	(revision 316)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example3.xml	(revision 324)
@@ -4,65 +4,65 @@
 	<!-- Opis zasobow dla srodowiska gridowego -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
-			<computingResource class="ComputingNode" id="node11"/>
-			<computingResource class="ComputingNode" id="node12"/>
-			<computingResource class="ComputingNode" id="node13"/>
-			<computingResource class="ComputingNode" id="node14"/>
-			<computingResource class="ComputingNode" id="node15"/>
-			<computingResource class="ComputingNode" id="node16"/>
+		<computingResource class="DataCenter" name="compRes1">
+			<computingResource class="ComputingNode" name="node11"/>
+			<computingResource class="ComputingNode" name="node12"/>
+			<computingResource class="ComputingNode" name="node13"/>
+			<computingResource class="ComputingNode" name="node14"/>
+			<computingResource class="ComputingNode" name="node15"/>
+			<computingResource class="ComputingNode" name="node16"/>
 		</computingResource>	
-		<computingResource class="DataCenter" id="compRes2">
-			<computingResource class="ComputingNode" id="node21"/>
-			<computingResource class="ComputingNode" id="node22"/>
-			<computingResource class="ComputingNode" id="node23"/>
-			<computingResource class="ComputingNode" id="node24"/>
-			<computingResource class="ComputingNode" id="node25"/>
-			<computingResource class="ComputingNode" id="node26"/>
+		<computingResource class="DataCenter" name="compRes2">
+			<computingResource class="ComputingNode" name="node21"/>
+			<computingResource class="ComputingNode" name="node22"/>
+			<computingResource class="ComputingNode" name="node23"/>
+			<computingResource class="ComputingNode" name="node24"/>
+			<computingResource class="ComputingNode" name="node25"/>
+			<computingResource class="ComputingNode" name="node26"/>
 		</computingResource>
 		<!-- W tym przypadku Broker zarzadza czterema klastrami (cluter1, cluster2, cluster3, cluster4)
 		Kazdy z klastrow sklada sie(zarzadza) z 3 wezlow wylistowanych ponizej -->
-		<scheduler class="GridBroker" id="gridBroker">
+		<scheduler class="GridBroker" name="gridBroker">
 			<schedulingPlugin>
 				<name>GridFCFSLoadBalancingPlugin</name>
 			</schedulingPlugin>
-			<scheduler class="Cluster" id="cluster1">
+			<scheduler class="Cluster" name="cluster1">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>	
-				<managedComputingResource include="true">
-					<resourceId>node11</resourceId>
-					<resourceId>node12</resourceId>
-					<resourceId>node13</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="true">
+					<resourceName>node11</resourceName>
+					<resourceName>node12</resourceName>
+					<resourceName>node13</resourceName>
+				</managedComputingResources>
 			</scheduler>
-			<scheduler class="Cluster" id="cluster2">
+			<scheduler class="Cluster" name="cluster2">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>
-				<managedComputingResource include="true">
-					<resourceId>node14</resourceId>
-					<resourceId>node15</resourceId>
-					<resourceId>node16</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="true">
+					<resourceName>node14</resourceName>
+					<resourceName>node15</resourceName>
+					<resourceName>node16</resourceName>
+				</managedComputingResources>
 			</scheduler>
-			<scheduler class="Cluster" id="cluster3">
+			<scheduler class="Cluster" name="cluster3">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>
-				<managedComputingResource include="true">
-					<resourceId>node21</resourceId>
-					<resourceId>node22</resourceId>
-					<resourceId>node23</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="true">
+					<resourceName>node21</resourceName>
+					<resourceName>node22</resourceName>
+					<resourceName>node23</resourceName>
+				</managedComputingResources>
 			</scheduler>
-			<scheduler class="Cluster" id="cluster4">
+			<scheduler class="Cluster" name="cluster4">
 				<schedulingPlugin>
 					<name>FCFSLocalSchedulingPlugin</name>
 				</schedulingPlugin>
-				<managedComputingResource include="true">
-					<resourceId>node24</resourceId>
-					<resourceId>node25</resourceId>
-					<resourceId>node26</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="true">
+					<resourceName>node24</resourceName>
+					<resourceName>node25</resourceName>
+					<resourceName>node26</resourceName>
+				</managedComputingResources>
 			</scheduler>
 		</scheduler>	
Index: xssim/trunk/src/test/rewolucja/schemas/example/example4.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example4.xml	(revision 316)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example4.xml	(revision 324)
@@ -5,7 +5,6 @@
 	<!-- Opis dla data center z podstawowa charakterystyka zasobow -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
-			<computingResource class="ComputingNode" id="compNode1">
-				<computingResource class="Processor" count="8"/>
+		<computingResource class="DataCenter" name="compRes1">
+			<computingResource class="ComputingNode" name="compNode1">
 				<resourceUnit class="memory">
 					<amount>12288</amount>
@@ -14,7 +13,7 @@
 					<amount>100</amount>
 				</resourceUnit>
+				<computingResource class="Processor" count="8"/>
 			</computingResource>	
-			<computingResource class="ComputingNode" id="compNode2">
-				<computingResource class="Processor" count="8"/>
+			<computingResource class="ComputingNode" name="compNode2">
 				<resourceUnit class="memory">
 					<amount>12288</amount>
@@ -23,13 +22,14 @@
 					<amount>60</amount>
 				</resourceUnit>
+				<computingResource class="Processor" count="8"/>
 			</computingResource>
 		</computingResource>
-		<scheduler class="Cluster" id="cluster1">
+		<scheduler class="Cluster" name="cluster1">
 			<schedulingPlugin>
 				<name>FCFSLocalSchedulingPlugin</name>
 			</schedulingPlugin>		
-				<managedComputingResource include="false">
-					<resourceId>compRes1</resourceId>
-				</managedComputingResource>
+				<managedComputingResources include="false">
+					<resourceName>compRes1</resourceName>
+				</managedComputingResources>
 		</scheduler>	
 	</resources>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example5.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example5.xml	(revision 320)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example5.xml	(revision 324)
@@ -5,6 +5,9 @@
 	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
+		<computingResource class="DataCenter" name="compRes1">
 			<computingResource class="ComputingNode" count="57">
+				<energyEstimationPlugin>
+					<name>ComputingNodeEnergyEstimationPlugin</name>
+				</energyEstimationPlugin>
 				<computingResource class="Processor" count="8">
 					<energyEstimationPlugin>
@@ -33,5 +36,5 @@
 									<value>1.3</value>
 								</property>
-								<property name="power">
+								<property name="powerUsage">
 									<value>35</value>
 								</property>						
@@ -47,5 +50,5 @@
 									<value>1.1</value>
 								</property>
-								<property name="power">
+								<property name="powerUsage">
 									<value>30</value>
 								</property>						
@@ -54,16 +57,13 @@
 					</profile>
 				</computingResource>
-				<energyEstimationPlugin>
-					<name>ComputingNodeEnergyEstimationPlugin</name>
-				</energyEstimationPlugin>
 			</computingResource>	
 		</computingResource>
-		<scheduler class="Cluster" id="cluster1">
+		<scheduler class="Cluster" name="cluster1">
 			<schedulingPlugin>
 				<name>FCFSLocalSchedulingPlugin</name>
 			</schedulingPlugin>	
-			<managedComputingResource include="false">
-				<resourceId>compRes1</resourceId>
-			</managedComputingResource>
+			<managedComputingResources include="false">
+				<resourceName>compRes1</resourceName>
+			</managedComputingResources>
 		</scheduler>	
 	</resources>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example6.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example6.xml	(revision 316)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example6.xml	(revision 324)
@@ -5,16 +5,17 @@
 	<!-- Opis dla data center z uwzglednieniem rozmieszczenia zasobow -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
-			<computingResource class="Rack" id="rack1">
-				<computingResource class="ComputingNode" id="node11">
+		<computingResource class="DataCenter" name="compRes1">
+			<location>
+				<vertical>4</vertical>
+				<horizontal>3</horizontal>
+				<depth>0</depth>
+			</location>
+			<computingResource class="Rack" name="rack1">
+				<computingResource class="ComputingNode" name="node11">
 				</computingResource>
-				<computingResource class="ComputingNode" id="node12">
+				<computingResource class="ComputingNode" name="node12">
 				</computingResource>
 			</computingResource>	
-			<computingResource class="Rack" id="rack2">
-				<computingResource class="ComputingNode" id="node21">
-				</computingResource>
-				<computingResource class="ComputingNode" id="node22">
-				</computingResource>
+			<computingResource class="Rack" name="rack2">
 				<location>
 					<vertical>6</vertical>
@@ -22,18 +23,17 @@
 					<depth>0</depth>
 				</location>
+				<computingResource class="ComputingNode" name="node21">
+				</computingResource>
+				<computingResource class="ComputingNode" name="node22">
+				</computingResource>
 			</computingResource>
-			<location>
-				<vertical>4</vertical>
-				<horizontal>3</horizontal>
-				<depth>0</depth>
-			</location>
 		</computingResource>	
-		<scheduler class="Cluster" id="cluster1">
+		<scheduler class="Cluster" name="cluster1">
 			<schedulingPlugin>
 				<name>FCFSLocalSchedulingPlugin</name>
 			</schedulingPlugin>		
-			<managedComputingResource include="false">
-				<resourceId>compRes1</resourceId>
-			</managedComputingResource>
+			<managedComputingResources include="false">
+				<resourceName>compRes1</resourceName>
+			</managedComputingResources>
 		</scheduler>
 	</resources>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example7.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example7.xml	(revision 320)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example7.xml	(revision 324)
@@ -9,16 +9,16 @@
 	<!-- Opis dla data center z uwzglednieniem szablonow i przejsc miedzy stanami energetycznymi -->
 	<resources>
-		<computingResource class="DataCenter" id="compRes1">
-			<computingResource class="Rack" id="rack1">
-				<computingResource class="ComputingNode" id="node11">
-				</computingResource>
-				<computingResource class="ComputingNode" id="node12">
+		<computingResource class="DataCenter" name="compRes1">
+			<computingResource class="Rack" name="rack1">
+				<computingResource class="ComputingNode" name="node11">
+				</computingResource>
+				<computingResource class="ComputingNode" name="node12">
 				</computingResource>
 			</computingResource>	
-			<computingResource class="Rack" id="rack2">
-				<computingResource class="ComputingNode" id="node21">
+			<computingResource class="Rack" name="rack2">
+				<computingResource class="ComputingNode" name="node21">
 					<templateId>modelNodeA</templateId>
 				</computingResource>
-				<computingResource class="ComputingNode" id="node22">
+				<computingResource class="ComputingNode" name="node22">
 					<computingResource class="Processor" count="8">
 						<templateId>modelProcessorB</templateId>
@@ -27,21 +27,21 @@
 			</computingResource>
 		</computingResource>	
-		<scheduler class="Cluster" id="cluster1">
+		<scheduler class="Cluster" name="cluster1">
 			<schedulingPlugin>
 				<name>FCFSLocalSchedulingPlugin</name>
 			</schedulingPlugin>		
-			<managedComputingResource include="false">
-				<resourceId>compRes1</resourceId>
-			</managedComputingResource>
+			<managedComputingResources include="false">
+				<resourceName>compRes1</resourceName>
+			</managedComputingResources>
 		</scheduler>
 	</resources>
 	
 	<templates>
-		<computingResourceTemplate class="ComputingNode" id="modelNodeA">
+		<computingResourceTemplate class="ComputingNode" name="modelNodeA">
 			<computingResource class="Processor" count="4">
 				<templateId>modelProcessorA</templateId>
 			</computingResource>
 		</computingResourceTemplate>	
-		<computingResourceTemplate class="Processor" id="modelProcessorA">
+		<computingResourceTemplate class="Processor" name="modelProcessorA">
 			<energyEstimationPlugin>
 				<name>CPUEnergyEstimationPlugin</name>
@@ -79,5 +79,5 @@
 							<value>1.3</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>14</value>
 						</property>						
@@ -93,5 +93,5 @@
 							<value>1.2</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>12</value>
 						</property>						
@@ -107,5 +107,5 @@
 							<value>1.1</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>10</value>
 						</property>						
@@ -121,5 +121,5 @@
 							<value>1.0</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>8</value>
 						</property>						
@@ -128,5 +128,5 @@
 			</profile>
 		</computingResourceTemplate>
-		<computingResourceTemplate class="Processor" id="modelProcessorB">
+		<computingResourceTemplate class="Processor" name="modelProcessorB">
 			<energyEstimationPlugin>
 				<name>CPUEnergyEstimationPlugin</name>
@@ -164,5 +164,5 @@
 							<value>1.3</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>20</value>
 						</property>						
@@ -178,5 +178,5 @@
 							<value>1.2</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>17</value>
 						</property>						
@@ -192,5 +192,5 @@
 							<value>1.1</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>16</value>
 						</property>						
@@ -206,5 +206,5 @@
 							<value>1.0</value>
 						</property>
-						<property name="power">
+						<property name="powerUsage">
 							<value>10</value>
 						</property>						