Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 336)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 337)
@@ -9,6 +9,6 @@
 		Simulated architecture consist of data center with 2 racks named rack1 and rack2 respectively.
 		Rack1 contains 2 computing nodes - node11 and node12, described in common way.
-		Nodes in rack2 are defined using template. Node21 refers to template modelNodeA,
-		and thus will be created with respect to the specification given in that template.
+		Nodes in rack2 are defined using template. Node21 refers to template modelNodeA and, 
+		thus will be created with respect to the specification given in that template (node will have 4 processors with speed 2).
 		Node22 contains 8 processors which definition is included in modeProcessorB template.
 		</description>
@@ -43,7 +43,7 @@
 	<templates>
 		<description>
-		There are two processor templates named modelProcessorA (with speed 2) and modelProcessorB (with speed 1).
+		There are two processor templates named modelProcessorA (with cpu speed 2) and modelProcessorB (with cpu speed 1).
 		There is also one computing node template denoted as modelNodeA, which contains 4 processors that refer to modelProcessorA template.
-		That means that the given processors will be created according to the guidelines defined in template modelProcessorA.
+		That means that the given processors will be created according to the guidelines defined in template modelProcessorA (they will have speed equal 2).
 		</description>
 		<computingResourceTemplate class="ComputingNode" name="modelNodeA">
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 334)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 337)
@@ -2,4 +2,5 @@
 	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
 
+	<!-- Plugin defined in class ExecTimeEstimationPlugin will be used to estimate task execution time -->
 	<timeEstimationPlugin>
 		<name>ExecTimeEstimationPlugin</name>
@@ -9,7 +10,8 @@
 		<description>
 		This basic example defines simple resource hierarchy within a single data center (named dataCenter). It consist of 4 racks
-		(with names created according to the name attribute and subsequent natural number). 
-		Each of them contains 64 computing nodes (names will be generated using resource class and subsequent natural number)
-		with 2 processors. Speed of every processor is equal 2. All computing nodes have 12GB of memory and 4TB storage.
+		(with names created according to the name attribute and subsequent natural number: rack_0, rack_1, rack_2 and rack_3). 
+		Each of them contains 64 computing nodes (names will be generated using resource class and subsequent natural number: 
+		ComputingNode_0, ComputingNode_1,...ComputingNode_255) with 2 processors. Speed of every processor is equal 2. 
+		All computing nodes have 12GB of memory and 4TB storage.
 		Task are submitted to the single cluster built on top of the data center. It is under the control of local scheduler
 		with FCFS scheduling policy. The commented out cluster definition is equal to the one above it 
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 334)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 337)
@@ -15,6 +15,6 @@
 			<computingResource class="Rack" count="4" name="rack">
 				<computingResource class="ComputingNode" count="64">
-					<description>ComputingNodeEnergyEstimationPlugin will be used to customize estimation of energy consumptions to
-					specific applications and hardware on computing node level.</description>
+					<!-- ComputingNodeEnergyEstimationPlugin will be used to customize estimation of energy consumptions to
+					specific applications and hardware on computing node level-->
 					<energyEstimationPlugin>
 						<name>ComputingNodeEnergyEstimationPlugin</name>
@@ -50,5 +50,5 @@
 						</powerProfile>
 						<!-- Definition of computing node air throughput profile (for instance fan related with the given node)
-						Fan can operate in the 4 states, characterized by name, air flow value and power consumption.
+						Fan can operate in the 4 states, characterized by name, air flow value and power draw.
 						 -->
 						<airThroughputProfile>
@@ -76,5 +76,5 @@
 					</profile>
 					<computingResource class="Processor" count="2">
-						<description>CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.</description>
+						<!-- CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
 						<energyEstimationPlugin>
 							<name>CPUEnergyEstimationPlugin</name>
@@ -85,5 +85,5 @@
                              P0 p-state is characterized by operating frequency - 3000,
                              voltage level - 1.3 and power usage - 35. 
-                             Next p-state - P1 has the following values: 2666, 1.1, 30 respectively.
+                             Next p-state - P1 has the following values: 2666, 1.1, 30, respectively.
 							 -->
 							<powerProfile>