Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 337)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 344)
@@ -15,9 +15,4 @@
 			<computingResource class="Rack" count="4" name="rack">
 				<computingResource class="ComputingNode" count="64">
-					<!-- ComputingNodeEnergyEstimationPlugin will be used to customize estimation of energy consumptions to
-					specific applications and hardware on computing node level-->
-					<energyEstimationPlugin>
-						<name>ComputingNodeEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>
 					<profile>
 						<!-- Definition of computing node power profile
@@ -28,4 +23,9 @@
 						 -->
 						<powerProfile>
+							<!-- ComputingNodeEnergyEstimationPlugin will be used to customize estimation of energy consumptions to
+							specific applications and hardware on computing node level-->
+							<energyEstimationPlugin>
+								<name>ComputingNodeEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>
 							<powerStates>
 								<powerState>
@@ -53,31 +53,29 @@
 						 -->
 						<airThroughputProfile>
-							<airThroughputState>
-								<name>mode1</name>
-								<value unit="m3/h">105</value>
-								<powerUsage unit="watts">10.3</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>mode2</name>
-								<value unit="m3/h">110</value>
-								<powerUsage unit="watts">10.9</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>mode3</name>
-								<value unit="m3/h">115</value>
-								<powerUsage unit="watts">11.4</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>mode4</name>
-								<value unit="m3/h">120</value>
-								<powerUsage unit="watts">12.1</powerUsage>
-							</airThroughputState>
+							<airThroughputStates>
+								<airThroughputState>
+									<name>mode1</name>
+									<value unit="m3/h">105</value>
+									<powerUsage unit="watts">10.3</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>mode2</name>
+									<value unit="m3/h">110</value>
+									<powerUsage unit="watts">10.9</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>mode3</name>
+									<value unit="m3/h">115</value>
+									<powerUsage unit="watts">11.4</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>mode4</name>
+									<value unit="m3/h">120</value>
+									<powerUsage unit="watts">12.1</powerUsage>
+								</airThroughputState>
+							</airThroughputStates>
 						</airThroughputProfile>
 					</profile>
 					<computingResource class="Processor" count="2">
-						<!-- CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
-						<energyEstimationPlugin>
-							<name>CPUEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>
 						<profile>
 							 <!-- Definition of processor power profile
@@ -88,4 +86,8 @@
 							 -->
 							<powerProfile>
+								<!-- CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
+								<energyEstimationPlugin>
+									<name>CPUEnergyEstimationPlugin</name>
+								</energyEstimationPlugin>
 								<parameter name="pState">
 									<property name="name">
@@ -93,11 +95,11 @@
 									</property>	
 									<property name="frequency">
-										<value >3000</value>
+										<value unit="hertz">3000</value>
 									</property>		
 									<property name="voltage">
-										<value>1.3</value>
+										<value unit="volt">1.3</value>
 									</property>
 									<property name="powerUsage">
-										<value>35</value>
+										<value unit="watts">35</value>
 									</property>						
 								</parameter>
@@ -107,11 +109,11 @@
 									</property>	
 									<property name="frequency">
-										<value>2666</value>
+										<value unit="hertz">2666</value>
 									</property>		
 									<property name="voltage">
-										<value>1.1</value>
+										<value unit="volt">1.1</value>
 									</property>
 									<property name="powerUsage">
-										<value>30</value>
+										<value unit="watts">30</value>
 									</property>						
 								</parameter>	
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 326)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 344)
@@ -1,4 +1,5 @@
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
 	xsi:noNamespaceSchemaLocation="../../XSSimResSchema.xsd">
+
 	
 	<!-- CoolEmAll testbed description -->
@@ -6,18 +7,55 @@
 		<computingResource class="Rack" name="rack">
 			<resourceUnit class="Storage">
-				<amount>4915200</amount>
+				<amount unit="MB">4915200</amount>
 				<parameter name=""></parameter>
 			</resourceUnit>
 			<parameter name="PSU">
-				<property name="power">
+				<property name="powerUsage">
 					<value>180</value>
 				</property>
 			</parameter>
 			<computingResource class="RECS" name="recs1">
+				<location>
+					<horizontal>0</horizontal>
+					<vertical>0</vertical>
+					<depth>0</depth>
+				</location>
 				<computingResource class="ComputingNode" count="18">
 					<resourceUnit class="Memory">
-						<amount>16384</amount>
+						<amount unit="MB">16384</amount>
 					</resourceUnit>
 					<computingResource class="Processor" type="i7">
+					<profile>
+						<powerProfile>
+								<parameter name="pState">
+									<property name="name">
+										<value>P0</value>
+									</property>	
+									<property name="frequency">
+										<value >3000</value>
+									</property>		
+									<property name="voltage">
+										<value>1.3</value>
+									</property>
+									<property name="powerUsage">
+										<value>35</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P1</value>
+									</property>	
+									<property name="frequency">
+										<value>2666</value>
+									</property>		
+									<property name="voltage">
+										<value>1.1</value>
+									</property>
+									<property name="powerUsage">
+										<value>30</value>
+									</property>						
+								</parameter>	
+							</powerProfile>
+						</profile>
 						<computingResource class="Core" count="4"/>
 					</computingResource>
@@ -25,7 +63,12 @@
 			</computingResource>
 			<computingResource class="RECS" name="recs2">
+				<location>
+					<horizontal>0</horizontal>
+					<vertical>1</vertical>
+					<depth>0</depth>
+				</location>
 				<computingResource class="ComputingNode" count="18">
 					<resourceUnit class="Memory">
-						<amount>4096</amount>
+						<amount unit="MB">4096</amount>
 					</resourceUnit>
 					<computingResource class="Processor" type="Atom">
@@ -35,7 +78,12 @@
 			</computingResource>
 			<computingResource class="RECS" name="recs3">
+				<location>
+					<horizontal>0</horizontal>
+					<vertical>2</vertical>
+					<depth>0</depth>
+				</location>
 				<computingResource class="ComputingNode" count="18">
 					<resourceUnit class="Memory">
-						<amount>2048</amount>
+						<amount unit="MB">2048</amount>
 					</resourceUnit>
 					<computingResource class="Processor" type="AMD Fusion">
@@ -45,7 +93,12 @@
 			</computingResource>
 			<computingResource class="RECS" name="recs4">
+			 	<location>
+					<horizontal>0</horizontal>
+					<vertical>3</vertical>
+					<depth>0</depth>
+				</location>
 				<computingResource class="ComputingNode" count="18">
 					<resourceUnit class="Memory">
-						<amount>2048</amount>
+						<amount unit="MB">2048</amount>
 					</resourceUnit>
 					<computingResource class="Processor" type="ARM">