Index: /xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd
===================================================================
--- /xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd	(revision 347)
+++ /xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd	(revision 348)
@@ -6,5 +6,5 @@
 		<xs:annotation>
 			<xs:documentation>Base plugin type. 
-			Plugins allow a researcher to configure and adapt the simulation framework to his/her experiment 
+			Plugins allow configuring and adapting the simulation framework to his/her experiment 
 			starting from modeling job performance, through method of calculating energy estimation up to implementation of scheduling policies
 			Name of the plugin specifies the JAVA class that implements dedicated interface.</xs:documentation>
@@ -18,7 +18,7 @@
 	<xs:complexType name="timeEstimationPluginType">
 		<xs:annotation>
-			<xs:documentation>TimeEstimationPlugin derived from Plugin. 
+			<xs:documentation>TimeEstimationPlugin derived from pluginType. 
 			Time estimation plugin provides means to include specific application performance models during simulations
-			and allows researchers to introduce specific ways of calculating task execution time.</xs:documentation>
+			and allows introducing specific ways of calculating task execution time.</xs:documentation>
 		</xs:annotation>
 		<xs:complexContent>
@@ -51,5 +51,5 @@
 	<xs:complexType name="computingResourceType">
 		<xs:annotation>
-			<xs:documentation> ComputingResource derived from Resource
+			<xs:documentation> ComputingResource derived from resourceType
 			Computing resource specifies resources that are able to perform computing operations. 
 			From the simulator point of view computing resource is everything that is/contains processing element.
@@ -85,5 +85,5 @@
 	<xs:complexType name="computingResourceTemplateType">
 		<xs:annotation>
-			<xs:documentation>ComputingResourceTemplate derived from Resource.
+			<xs:documentation>ComputingResourceTemplate derived from resourceType.
 			It allows user to define model of computing resource component that may constitute other computing resources
 			Computing resource templates can be then referred in computing resource definition</xs:documentation>
@@ -103,5 +103,5 @@
 	<xs:complexType name="schedulerType">
 		<xs:annotation>
-			<xs:documentation>Scheduler derived from Resource.
+			<xs:documentation>Scheduler derived from resourceType.
 			It allows to model scheduling entity responsible for managing resources.</xs:documentation>
 		</xs:annotation>
@@ -122,5 +122,6 @@
 	<xs:complexType name="schedulingPluginType">
 		<xs:annotation>
-			<xs:documentation>SchedulingPlugin derived from Plugin. Scheduling plugins allow plugging scheduling algorithms into the simulated environment.
+			<xs:documentation>SchedulingPlugin derived from pluginType. 
+			Scheduling plugins allow plugging scheduling algorithms into the simulated environment.
 			Elements: frequency - is used to enable scheduling periodically; it specifies the time interval (in seconds by default) between subsequent scheduling invocations
 			</xs:documentation>
@@ -152,6 +153,6 @@
 	<xs:complexType name="doubleValueWithUnitType">
 		<xs:annotation>
-			<xs:documentation>DoubleValueWitUnit derived from double. Allows providing units in which a given value is expressed
-			Attributes: unit - indicate appropriate units, for instance: seconds, watts, bytes etc. </xs:documentation>
+			<xs:documentation>DoubleValueWitUnit derived from double. Allows providing units in which the given value is expressed
+			Attributes: unit - indicates appropriate units, for instance: seconds, watts, bytes etc. </xs:documentation>
 		</xs:annotation>
 		<xs:simpleContent>
@@ -164,6 +165,6 @@
 	<xs:complexType name="stringValueWithUnitType">
 		<xs:annotation>
-			<xs:documentation>StringValueWitUnit derived from string. Allows providing units in which a given value is expressed
-			Attributes: unit - indicate appropriate units. </xs:documentation>
+			<xs:documentation>StringValueWitUnit derived from string. Allows providing units in which the given value is expressed
+			Attributes: unit - indicates appropriate units. </xs:documentation>
 		</xs:annotation>
 		<xs:simpleContent>
@@ -176,8 +177,8 @@
 	<xs:complexType name="managedComputingResourcesType">
 		<xs:annotation>
-			<xs:documentation>ManagedComputingResource type specifies controlled (by scheduler) computing resources.
-			They can be provided either by listing their names or listing the group ids for which they belong
-			Attributes: include - specifies whether scheduler should be built on top of given resources or should also include them. 
-			In other words, false (default) value indicates that scheduler manner only subcomponents of the listed resources;
+			<xs:documentation>ManagedComputingResource type specifies computing resources controlled by scheduler.
+			They can be provided either by listing their names or listing the group ids which they belong to.
+			Attributes: include - specifies whether the given resource layer (listed resources) can be allocated by the scheduler
+			In other words, false (default) value indicates that scheduler maneges only the subcomponents of the listed resources;
 			true value determines that also listed resources will be under the control of the defined scheduler</xs:documentation>
 		</xs:annotation>
@@ -191,7 +192,7 @@
 	<xs:complexType name="energyEstimationPluginType">
 		<xs:annotation>
-			<xs:documentation>EnergyEstimationPlugin derived from Plugin. 
-			Energy estimation plugin is used to customize estimation of energy consumptions of the given computing resource 
-			to specific applications and hardware. It has access to the detailed resource description including power and air throughput profiles
+			<xs:documentation>EnergyEstimationPlugin derived from pluginType. 
+			Energy estimation plugin is used to estimate energy consumption of the given computing resource. 
+			It has access to the detailed resource description including power and air throughput profiles
 			and application characteristics running on a given resource</xs:documentation>
 		</xs:annotation>
@@ -263,5 +264,5 @@
 	<xs:complexType name="airThroughputEstimationPluginType">
 		<xs:annotation>
-			<xs:documentation>AirThroughputEstimationPlugin derived from Plugin. 
+			<xs:documentation>AirThroughputEstimationPlugin derived from pluginType. 
 			Air Throughput plugin is used to estimate air flow value based on the defined air throughput states</xs:documentation>
 		</xs:annotation>