Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 337)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example1.xml	(revision 349)
@@ -9,5 +9,5 @@
 	<resources>
 		<description>
-		This basic example defines simple resource hierarchy within a single data center (named dataCenter). It consist of 4 racks
+		This basic example defines simple resource hierarchy within a single data center (named dataCenter). It consists of 4 racks
 		(with names created according to the name attribute and subsequent natural number: rack_0, rack_1, rack_2 and rack_3). 
 		Each of them contains 64 computing nodes (names will be generated using resource class and subsequent natural number: 
@@ -29,5 +29,5 @@
 					</resourceUnit>
 					<computingResource class="Processor" count="2">
-						<parameter name="Speed">
+						<parameter name="speed">
 							<value>2</value>
 						</parameter>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 344)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example2.xml	(revision 349)
@@ -5,5 +5,5 @@
 		<description>
 		This example aims to show how to introduce energy-related parameters to the simulation environment 
-		Simulated architecture consist of data center with 4 racks. Each of them contains 64 computing nodes with 2 processors. 
+		Simulated architecture consists of data center with 4 racks. Each of them contains 64 computing nodes with 2 processors. 
 		Speed of every processor is equal 2. All computing nodes have 12GB of memory and 4TB storage.
 		For the detailed energy characteristics description, see the following comments. 
@@ -18,7 +18,7 @@
 						<!-- Definition of computing node power profile
 						According to it, there are two supported power states: ON and OFF
-						Computing node in ON state consume 20 watts, while in OFF state 0.
-						Transition between ON and OFF state takes 30 seconds ant consumes 30 watts, 
-						while in the opposite energy consumption rate is equal 40 watts over 60 seconds.
+						Computing node in ON state consumes 20 watts, while in OFF state 0.
+						Transition between ON and OFF state takes 30 seconds and consumes 30 watts, 
+						while in the opposite direction energy consumption rate is equal 40 watts over 60 seconds.
 						 -->
 						<powerProfile>
@@ -31,18 +31,18 @@
 								<powerState>
 									<name>ON</name>
-									<powerUsage unit="watts">20</powerUsage>
+									<powerUsage unit="W">20</powerUsage>
 									<transition>
 										<to>OFF</to>
-										<powerUsage unit="watts">30</powerUsage>
-										<time unit="seconds">30</time>
+										<powerUsage unit="W">30</powerUsage>
+										<time unit="s">30</time>
 									</transition>
 								</powerState>
 								<powerState>
 									<name>OFF</name>
-									<powerUsage unit="watts">0</powerUsage>
+									<powerUsage unit="W">0</powerUsage>
 									<transition>
 										<to>ON</to>
 										<powerUsage unit="watts">40</powerUsage>
-										<time unit="seconds">60</time>
+										<time unit="s">60</time>
 									</transition>
 								</powerState>
@@ -57,20 +57,20 @@
 									<name>mode1</name>
 									<value unit="m3/h">105</value>
-									<powerUsage unit="watts">10.3</powerUsage>
+									<powerUsage unit="W">10.3</powerUsage>
 								</airThroughputState>
 								<airThroughputState>
 									<name>mode2</name>
 									<value unit="m3/h">110</value>
-									<powerUsage unit="watts">10.9</powerUsage>
+									<powerUsage unit="W">10.9</powerUsage>
 								</airThroughputState>
 								<airThroughputState>
 									<name>mode3</name>
 									<value unit="m3/h">115</value>
-									<powerUsage unit="watts">11.4</powerUsage>
+									<powerUsage unit="W">11.4</powerUsage>
 								</airThroughputState>
 								<airThroughputState>
 									<name>mode4</name>
 									<value unit="m3/h">120</value>
-									<powerUsage unit="watts">12.1</powerUsage>
+									<powerUsage unit="W">12.1</powerUsage>
 								</airThroughputState>
 							</airThroughputStates>
@@ -95,11 +95,11 @@
 									</property>	
 									<property name="frequency">
-										<value unit="hertz">3000</value>
+										<value unit="Hz">3000</value>
 									</property>		
 									<property name="voltage">
-										<value unit="volt">1.3</value>
+										<value unit="V">1.3</value>
 									</property>
 									<property name="powerUsage">
-										<value unit="watts">35</value>
+										<value unit="W">35</value>
 									</property>						
 								</parameter>
@@ -109,11 +109,11 @@
 									</property>	
 									<property name="frequency">
-										<value unit="hertz">2666</value>
+										<value unit="H`">2666</value>
 									</property>		
 									<property name="voltage">
-										<value unit="volt">1.1</value>
+										<value unit="V">1.1</value>
 									</property>
 									<property name="powerUsage">
-										<value unit="watts">30</value>
+										<value unit="W">30</value>
 									</property>						
 								</parameter>	
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 344)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example3.xml	(revision 349)
@@ -26,36 +26,7 @@
 					</resourceUnit>
 					<computingResource class="Processor" type="i7">
-					<profile>
-						<powerProfile>
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value >3000</value>
-									</property>		
-									<property name="voltage">
-										<value>1.3</value>
-									</property>
-									<property name="powerUsage">
-										<value>35</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P1</value>
-									</property>	
-									<property name="frequency">
-										<value>2666</value>
-									</property>		
-									<property name="voltage">
-										<value>1.1</value>
-									</property>
-									<property name="powerUsage">
-										<value>30</value>
-									</property>						
-								</parameter>	
-							</powerProfile>
-						</profile>
+						<parameter name="speed">
+							<value>2</value>
+						</parameter>
 						<computingResource class="Core" count="4"/>
 					</computingResource>
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml	(revision 335)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example4.xml	(revision 349)
@@ -6,11 +6,11 @@
 		<description>
         This short example presents how to describe computing resource location.
-        Simulated architecture consist of data center with 2 racks named rack1 and rack2, respectively.
-        Location of rack1 is defined using vector (4, 0, 2), while rack2 according to vector (6, 0, 2)
+        Simulated architecture consists of data center with 2 racks named rack1 and rack2, respectively.
+        Location of rack1 is defined using vector (4, 0, 2), while rack2 using vector (6, 0, 2)
 		Rack1 contains 2 computing nodes - node11 and node12. Appropriate coordinates for node11 are (0, 0, 0)
 		and for node12 (0, 1, 0). Rack2 contains 2 computing nodes named node21 and node22. Their location is defined as follows:
 		(0, 0, 0) for node21 and (1, 0, 0) for node22.
 		Using 3 coordinates allows to express location in various ways. It can be interpreted as a absolute placement in 3D, as well as the
-		relative position according to the precedent computing resource. Moreover, it is possible to define only the arrangement of
+		relative position according to the parent computing resource. Moreover, it is possible to define only the arrangement of
 		the computing resources by increasing only the value of one coordinate.
 		In the following example, racks location is defined using relative positions (with respect to the data center), while
Index: xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 337)
+++ xssim/trunk/src/test/rewolucja/schemas/example/coolemall/example7.xml	(revision 349)
@@ -6,6 +6,6 @@
 		<description>
 		The goal of this example is to introduce the templates usage. 
-		It focus on showing that appropriate templates may be included in various computing resource levels and moreover can be formed using other templates.
-		Simulated architecture consist of data center with 2 racks named rack1 and rack2 respectively.
+		It focuses on showing that appropriate templates may be included on various computing resource levels and moreover can be formed using other templates.
+		Simulated architecture consists of data center with 2 racks named rack1 and rack2 respectively.
 		Rack1 contains 2 computing nodes - node11 and node12, described in common way.
 		Nodes in rack2 are defined using template. Node21 refers to template modelNodeA and, 
@@ -45,5 +45,5 @@
 		There are two processor templates named modelProcessorA (with cpu speed 2) and modelProcessorB (with cpu speed 1).
 		There is also one computing node template denoted as modelNodeA, which contains 4 processors that refer to modelProcessorA template.
-		That means that the given processors will be created according to the guidelines defined in template modelProcessorA (they will have speed equal 2).
+		That means that the given processors will be created according to the characteristics defined in template modelProcessorA (they will have speed equal 2).
 		</description>
 		<computingResourceTemplate class="ComputingNode" name="modelNodeA">
@@ -53,10 +53,10 @@
 		</computingResourceTemplate>	
 		<computingResourceTemplate class="Processor" name="modelProcessorA">
-			<parameter name="Speed">
+			<parameter name="speed">
 				<value>2</value>
 			</parameter>
 		</computingResourceTemplate>
 		<computingResourceTemplate class="Processor" name="modelProcessorB">
-			<parameter name="Speed">
+			<parameter name="speed">
 				<value>1</value>
 			</parameter>