Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 237)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 377)
@@ -7,5 +7,5 @@
 Save=Save
 Show=Show
-View=V
+View=View
 ViewTooltip=View details
 
@@ -95,8 +95,8 @@
 ClearFiles=Clear all files from workspace
 Metaname=Experiments group
-Add=+
+Add=Add
 AddTooltip=Add experiment to workspace
 AddFileTooltip=Add file to workspace
-Download=â
+Download=Download
 DownloadTooltip=Download file to local storage
 Cancel=Cancel
@@ -106,5 +106,5 @@
 Load=L
 LoadTooltip=Load file
-Remove=-
+Remove=Remove
 RemoveTooltip=Remove file
 Edit=Edit
@@ -117,4 +117,5 @@
 Clear=Clear
 About=About
+AddNewExperiment=Add new experiment
 
 UseSelectedFiles=Use all files in workspace
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 237)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 377)
@@ -111,8 +111,8 @@
 ClearFiles=UsuÅ wszystkie pliki ze zbioru roboczego
 Metaname=Grupa eksperymentÃ³w
-Add=+
+Add=Dodaj
 AddTooltip=Dodaj eksperyment
 AddFileTooltip=Dodaj plik do zbioru roboczego
-Download=â
+Download=Pobierz
 DownloadTooltip=Pobierz plik na dysk
 Cancel=Anuluj
@@ -120,7 +120,7 @@
 Runs=Liczba symulacji
 Actions=Akcje
-Load=L
+Load=Wczytaj
 LoadTooltip=Wczytaj plik
-Remove=-
+Remove=UsuÅ
 RemoveTooltip=UsuÅ plik
 Edit=Edytuj
@@ -133,4 +133,5 @@
 Clear=WyczyÅÄ
 About=Opis
+AddNewExperiment=Dodaj nowy eksperyment
 
 UseSelectedFiles=UÅŒyj wszystkich plikÃ³w
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 237)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 377)
@@ -38,7 +38,4 @@
 			public static var selectedTopologyFiles : ArrayCollection = new ArrayCollection();
 			public static var selectedResourceFiles : ArrayCollection = new ArrayCollection();
-			
-			[Bindable]
-			public var showDebug : Boolean = false;
 			
 			public function addNewWorkloadFile() : void
@@ -180,12 +177,12 @@
 	<code:MDICanvas id="mdiCanvas" width="100%" height="100%" backgroundColor="#FFFFFF" backgroundAlpha="0">
 		<mx:VBox width="100%">
-			<mx:HBox>
-				<mx:VBox>
+			<mx:HBox width="100%">
+				<mx:VBox width="30%">
 					<mx:Label text="{resourceManager.getString('ExperimentEditor', 'Workload')}"/>
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.workloadFileLocationItemList}" rowHeight="35" id="workloadFilesDG"
+					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.workloadFileLocationItemList}" rowHeight="35" id="workloadFilesDG" width="100%"
 								 >
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="105">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -202,12 +199,12 @@
 					<mx:Button id="newWorkloadFile" click="addNewWorkloadFile()" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFile')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Upload')}"/>
 				</mx:VBox>
-				<mx:VBox>
+				<mx:VBox width="30%">
 					<mx:Label text="{resourceManager.getString('ExperimentEditor', 'ResourceDescription')}"/>
 					<!--<mx:DataGrid dataProvider="{resourceFiles}" rowHeight="35" id="resourceFilesDG" >-->
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.resourcesFileLocationItemList}" rowHeight="35" id="resourceFilesDG" 
+					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.resourcesFileLocationItemList}" rowHeight="35" id="resourceFilesDG" width="100%" 
 								 >
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="105">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -224,11 +221,11 @@
 					<mx:Button id="newResourceFile" click="addNewResourceFile()" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFile')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Upload')}"/>
 				</mx:VBox>
-				<mx:VBox>
+				<mx:VBox width="30%">
 					<mx:Label text="{resourceManager.getString('ExperimentEditor', 'NetworkTopology')}"/>
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.topologiesFileLocationItemList}" rowHeight="35" id="topologyFilesDG" 
+					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.topologiesFileLocationItemList}" rowHeight="35" id="topologyFilesDG" width="100%" 
 								 >
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="105">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -246,5 +243,5 @@
 				</mx:VBox>
 			</mx:HBox>
-			<mx:VBox visible="{showDebug}" includeInLayout="{showDebug}">
+			<mx:VBox visible="{parentApplication.showDebug}" includeInLayout="{parentApplication.showDebug}">
 				<mx:HBox>
 					<mx:VBox>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 365)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 377)
@@ -31,4 +31,7 @@
 			
 			public var isFileTransfering : Boolean = false;
+			
+			[Bindable]
+			public var showDebug : Boolean = true;
 			
 			/**
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 376)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 377)
@@ -41,7 +41,4 @@
 			[Bindable]
 			public var objectCanvas : ObjectCanvas;
-			
-			[Bindable]
-			public var showDebug : Boolean = true;
 			
 			private var isFileTransfering : Boolean = false;
@@ -236,18 +233,53 @@
 	
 	<code:MDICanvas id="mdiCanvas" width="100%" height="100%" backgroundColor="#FFFFFF" backgroundAlpha="0">
-		<mx:VBox paddingLeft="64" width="100%">
-			<mx:HBox width="100%" height="100%">
-				<mx:TabNavigator width="650" height="335">
+		<mx:VBox paddingLeft="64" width="100%" height="100%">
+			<mx:TabNavigator width="100%" height="100%">
+				<mx:VBox width="100%" height="100%" label="{resourceManager.getString('ExperimentEditor', 'AddNewExperiment')}">
 					<experiment:ExperimentPropertiesPanel id="experimentProperties" paddingLeft="5"/>
-					<experiment:FileManager paddingLeft="5"/>
-				</mx:TabNavigator>
-				<mx:TabNavigator height="335" width="500">
-					<mx:HBox label="{resourceManager.getString('ExperimentEditor', 'Workspace')}" paddingLeft="5">
-						<mx:VBox>
+					<mx:VBox width="100%">
+						<mx:DataGrid dataProvider="{experiments}" rowHeight="35" rowCount="5" id="experimentsDG" width="1158" >
+							<mx:columns>
+								<mx:DataGridColumn dataField="name" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
+								<mx:DataGridColumn dataField="runs" headerText="{resourceManager.getString('ExperimentEditor', 'Runs')}"/>
+								<mx:DataGridColumn dataField="global" headerText="{resourceManager.getString('ExperimentEditor', 'GlobalPlugin')}"/>
+								<mx:DataGridColumn dataField="local" headerText="{resourceManager.getString('ExperimentEditor', 'LocalPlugin')}"/>
+								<mx:DataGridColumn dataField="exec" headerText="{resourceManager.getString('ExperimentEditor', 'ExecutionPlugin')}"/>
+								<mx:DataGridColumn dataField="workload" headerText="{resourceManager.getString('ExperimentEditor', 'Workload')}"/>
+								<mx:DataGridColumn dataField="topology" headerText="{resourceManager.getString('ExperimentEditor', 'NetworkTopology')}"/>
+								<mx:DataGridColumn dataField="resources" headerText="{resourceManager.getString('ExperimentEditor', 'ResourceDescription')}"/>
+								<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="200">
+									<mx:itemRenderer>
+										<mx:Component>
+											<mx:HBox paddingLeft="4">
+												<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Perform')}" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformTooltip')}" click="outerDocument.performExperiment()" height="30" paddingLeft="8"/>
+												<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Edit')}" toolTip="{resourceManager.getString('ExperimentEditor', 'EditTooltip')}" click="outerDocument.editExperiment()" height="30"/>
+												<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeItem(outerDocument.experimentsDG)" height="30"/>
+											</mx:HBox>
+										</mx:Component>
+									</mx:itemRenderer>
+								</mx:DataGridColumn>
+							</mx:columns>
+						</mx:DataGrid>
+						<mx:HBox width="100%">
+							<mx:Spacer width="100%"/>
+							<mx:HBox>
+								<mx:Label text="{resourceManager.getString('ExperimentEditor', 'Metaname')}"/>
+								<components:QuickTooltipImage height="16" width="16"
+															  toolTip="{resourceManager.getString('Help', 'ExperimentMetaname')}"
+															  source="assets/icon/HelpIcon.png"/>
+								<mx:ComboBox id="experimentMetaname" width="150" restrict="0-9a-zA-Z" dataProvider="{parentApplication.gsSimStudioModel.metaexperimentList}" editable="true" />
+							</mx:HBox>
+							<mx:Button id="performExperiments" click="performAllExperiments()" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformAllTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'PerformAll')}"/>
+						</mx:HBox>
+					</mx:VBox>
+				</mx:VBox>
+				<mx:VBox height="1000" width="100%" label="{resourceManager.getString('ExperimentEditor', 'Workspace')}">
+					<mx:HBox paddingLeft="5" width="100%">
+						<mx:VBox width="30%">
 							<mx:Label text="{resourceManager.getString('ExperimentEditor', 'Workload')}"/>
-							<mx:DataGrid dataProvider="{workspaceWorkloadsFileList}" rowHeight="35" id="workloadFilesDG" >
+							<mx:DataGrid dataProvider="{workspaceWorkloadsFileList}" rowHeight="35" id="workloadFilesDG" width="100%">
 								<mx:columns>
-									<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="55">
+									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -265,11 +297,11 @@
 							</mx:HBox>
 						</mx:VBox>
-						<mx:VBox>
+						<mx:VBox width="30%">
 							<mx:Label text="{resourceManager.getString('ExperimentEditor', 'ResourceDescription')}"/>
 							<!--<mx:DataGrid dataProvider="{resourceFiles}" rowHeight="35" id="resourceFilesDG" >-->
-							<mx:DataGrid dataProvider="{workspaceResourcesFileList}" rowHeight="35" id="resourceFilesDG" >
+							<mx:DataGrid dataProvider="{workspaceResourcesFileList}" rowHeight="35" id="resourceFilesDG" width="100%" >
 								<mx:columns>
-									<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="55">
+									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -287,10 +319,10 @@
 							</mx:HBox>
 						</mx:VBox>
-						<mx:VBox>
+						<mx:VBox width="30%">
 							<mx:Label text="{resourceManager.getString('ExperimentEditor', 'NetworkTopology')}"/>
-							<mx:DataGrid dataProvider="{workspaceTopologiesFileList}" rowHeight="35" id="topologyFilesDG" >
+							<mx:DataGrid dataProvider="{workspaceTopologiesFileList}" rowHeight="35" id="topologyFilesDG" width="100%">
 								<mx:columns>
-									<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="55">
+									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -309,45 +341,9 @@
 						</mx:VBox>
 					</mx:HBox>
-				</mx:TabNavigator>
-			</mx:HBox>
-			
-			<mx:VBox width="100%">
-				<mx:DataGrid dataProvider="{experiments}" rowHeight="35" rowCount="5" id="experimentsDG" width="1158" >
-					<mx:columns>
-						<mx:DataGridColumn dataField="name" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-						<mx:DataGridColumn dataField="runs" headerText="{resourceManager.getString('ExperimentEditor', 'Runs')}"/>
-						<mx:DataGridColumn dataField="global" headerText="{resourceManager.getString('ExperimentEditor', 'GlobalPlugin')}"/>
-						<mx:DataGridColumn dataField="local" headerText="{resourceManager.getString('ExperimentEditor', 'LocalPlugin')}"/>
-						<mx:DataGridColumn dataField="exec" headerText="{resourceManager.getString('ExperimentEditor', 'ExecutionPlugin')}"/>
-						<mx:DataGridColumn dataField="workload" headerText="{resourceManager.getString('ExperimentEditor', 'Workload')}"/>
-						<mx:DataGridColumn dataField="topology" headerText="{resourceManager.getString('ExperimentEditor', 'NetworkTopology')}"/>
-						<mx:DataGridColumn dataField="resources" headerText="{resourceManager.getString('ExperimentEditor', 'ResourceDescription')}"/>
-						<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="200">
-							<mx:itemRenderer>
-								<mx:Component>
-									<mx:HBox paddingLeft="4">
-										<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Perform')}" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformTooltip')}" click="outerDocument.performExperiment()" height="30" paddingLeft="8"/>
-										<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Edit')}" toolTip="{resourceManager.getString('ExperimentEditor', 'EditTooltip')}" click="outerDocument.editExperiment()" height="30"/>
-										<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeItem(outerDocument.experimentsDG)" height="30"/>
-									</mx:HBox>
-								</mx:Component>
-							</mx:itemRenderer>
-						</mx:DataGridColumn>
-					</mx:columns>
-				</mx:DataGrid>
-				<mx:HBox width="1158">
-					<mx:Spacer width="100%"/>
-					<mx:HBox>
-						<mx:Label text="{resourceManager.getString('ExperimentEditor', 'Metaname')}"/>
-						<components:QuickTooltipImage height="16" width="16"
-													  toolTip="{resourceManager.getString('Help', 'ExperimentMetaname')}"
-													  source="assets/icon/HelpIcon.png"/>
-						<mx:ComboBox id="experimentMetaname" width="150" restrict="0-9a-zA-Z" dataProvider="{parentApplication.gsSimStudioModel.metaexperimentList}" editable="true" />
-					</mx:HBox>
-					<mx:Button id="performExperiments" click="performAllExperiments()" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformAllTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'PerformAll')}"/>
-				</mx:HBox>
-			</mx:VBox>
-			
-			<mx:VBox visible="{showDebug}" includeInLayout="{showDebug}">
+					<experiment:FileManager paddingLeft="5" width="100%" height="100%"/>
+				</mx:VBox>
+			</mx:TabNavigator>
+			
+			<mx:VBox visible="{parentApplication.showDebug}" includeInLayout="{parentApplication.showDebug}">
 				<mx:HBox>
 					<mx:VBox>
@@ -357,5 +353,4 @@
 						/>
 					</mx:VBox>
-					<mx:TextArea id="propertiesFile" width="400" height="300" y="170" />
 				</mx:HBox>
 			</mx:VBox>